Subject: Quota in __qdisc_run() (was: qdisc: validate skb without holding lock)

From: Jesper Dangaard Brouer <[email-masked]>
Date: Tue, 7 Oct 2014 09:34:41 +0200

On Fri, 03 Oct 2014 16:30:44 -0700 Eric Dumazet <[email-masked]> wrote:

> Another problem we need to address is the quota in __qdisc_run()
> is no longer meaningfull, if each qdisc_restart() can pump many packets.

I fully agree. My earlier "magic" packet limit was covering/pampering
over this issue.

> An idea would be to use the bstats (or cpu_qstats if applicable)

Please elaborate some more, as I don't completely follow (feel free to
show with a patch ;-)).

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Sr. Network Kernel Developer at Red Hat
  Author of http://www.iptv-analyzer.org
  LinkedIn: http://www.linkedin.com/in/brouer